import { IMessageDB } from '@kano/i18n/dist/index.js';
export * from '@kano/i18n/dist/index.js';
export * from '@kano/i18n/dist/polymer.js';
export declare function loadBlocklyMsg(url: string): Promise<IMessageDB>;
export interface ILoadOptions {
    modulesPath: string;
    blockly?: boolean;
    kanoCodePath?: string;
}
export declare function load(lang: string, opts?: ILoadOptions): Promise<IMessageDB[]>;
declare const _default: {
    load: typeof load;
    loadBlocklyMsg: typeof loadBlocklyMsg;
};
export default _default;
